<?php

namespace Teknisa\MAN\Controllers;
use Zeedhi\Framework\DataSource\FilterCriteria;
use Zeedhi\Framework\Controller\CrudWithParameterBag;
use Zeedhi\Framework\DataSource\Manager;
use Zeedhi\Framework\DataSource\ParameterBag;
use Zeedhi\Framework\DTO;
use Teknisa\MAN\Utilities;

class LojaParametrizacaoGestaoController extends CrudWithParameterBag {

    protected $dataSourceName = 'ger12300_cadloja_parametrizacao_gestao';
    protected $parameterBagColumns = array('CDFILIAL', 'CDLOJA', 'NRORG');
     protected $utilService;
    
    public function __construct (Manager $dataSourceManager, ParameterBag $parameterBag, Utilities\Util $utilService, $connection) {
        $this->utilService = $utilService;
        parent::__construct($dataSourceManager, $parameterBag);
        $this->connection = $connection;
        
    }
    
    public function save(DTO\Request\DataSet $request, DTO\Response $response) {
        $data = $request->getDataSet()->getRows();
        $queryLoja = "UPDATE
                        LOJA 
                    SET
                        CDLOCALESTOQ = :CDLOCALESTOQ,
                        CDTIPOOPER  = :CDTIPOOPER,
                        IPSERVPRI = :IPSERVPRI,
                        IPSERVSEC = :IPSERVSEC,
                        CDALMOXARIFE = :CDALMOXARIFE,
                        CDTABEPREC = :CDTABEPREC                      
                    WHERE
                        (NRORG = :NRORG) 
                        AND 
                        (CDLOJA = :CDLOJA) 
                        AND 
                        (CDFILIAL = :CDFILIAL)";
                        
        $stmt = $this->connection->prepare($queryLoja); 
		$stmt->execute(array(
            "CDLOCALESTOQ" => $data[0]['CDLOCALESTOQ'],
            "CDTIPOOPER" => $data[0]['CDTIPOOPER'],
            "IPSERVPRI" => $data[0]['IPSERVPRI'],
            "IPSERVSEC" => $data[0]['IPSERVSEC'],
            "CDALMOXARIFE" => $data[0]['CDALMOXARIFE'],
            "CDTABEPREC" => $data[0]['CDTABEPREC'],
		    "NRORG" => $data[0]['NRORG'],
		    "CDLOJA" => $data[0]['CDLOJA'],
		    "CDFILIAL" => $data[0]['CDFILIAL']
		));
    }

}
